<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceChangeTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service_change', function(Blueprint $table)
		{
			$table->foreign('site_id', 'fk_sc_a')->references('site_id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_sc_p')->references('site_id')->on('ab_product')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_sc_s')->references('site_id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service_change', function(Blueprint $table)
		{
			$table->dropForeign('fk_sc_a');
			$table->dropForeign('fk_sc_p');
			$table->dropForeign('fk_sc_s');
		});
	}

}
